Package org.apache.catalina.users

# Class MemoryRole

java.lang.Object
org.apache.catalina.users.AbstractRole
org.apache.catalina.users.MemoryRole

All Implemented Interfaces:
  `Principal`, `Role`

@Deprecated public class MemoryRole extends AbstractRole
Deprecated.
Use `AbstractRole` instead.

Concrete implementation of `Role` for the `MemoryUserDatabase` implementation of `UserDatabase`.

Since:
  4.1
Author:
  Craig R. McClanahan

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final MemoryUserDatabase`
`database`
Deprecated.
The `MemoryUserDatabase` that owns this role.

### Fields inherited from class org.apache.catalina.users.AbstractRole

`description, rolename`

## Method Summary

Modifier and Type
Method
Description
`UserDatabase`
`getUserDatabase()`
Deprecated.
Return the `UserDatabase` within which this role is defined.
`String`
`toString()`
Deprecated.
Return a String representation of this role in XML format.

### Methods inherited from class org.apache.catalina.users.AbstractRole

`getDescription, getName, getRolename, setDescription, setRolename`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies`

## Field Details

### database

protected final MemoryUserDatabase database
Deprecated.
The `MemoryUserDatabase` that owns this role.

## Method Details

### getUserDatabase

public UserDatabase getUserDatabase()
Deprecated.
Return the `UserDatabase` within which this role is defined.

Specified by:
  `getUserDatabase` in interface `Role`
Specified by:
  `getUserDatabase` in class `AbstractRole`
Returns:
  the `UserDatabase` within which this Role is defined.

### toString

public String toString()
Deprecated.

Return a String representation of this role in XML format.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`